WEECHAT-HEADLESS(1)

NOM
weechat-headless - le client de discussion extensible (version sans interface)

SYNOPSIS

weechat-headless [-a|--no-connect] [--daemon] [--stdout] [-d|--dir <path>] [-t|--temp-dir] [-p|--no-plugin] [-P|--plugins <extensions>] [-r|--run-command <command>] [-s|--no-script] [--upgrade] [option-debug...] [plugin:option...]
weechat-headless [-c|--colors]
weechat-headless [-h|--help]
weechat-headless [-l|--license]
weechat-headless [-v|--version]

DESCRIPTION

WeeChat (Wee Enhanced Environment for Chat) est un client de discussion libre, rapide et léger, conçu pour différents systèmes d’exploitation. Il est hautement paramétrable et extensible avec des scripts.

La commande weechat-headless lance WeeChat en mode « headless » (sans interface). Elle peut être utilisée pour des tests ou lancer WeeChat en daemon avec l’option "--daemon".

OPTIONS

-a, --no-connect
    Supprimer la connexion automatique aux serveurs lors du démarrage.

-c, --colors
    Afficher les couleurs par défaut du terminal.

--daemon
    Lancer WeeChat en tâche de fond, comme un daemon (fonctionne seulement avec la commande weechat-headless).

--stdout
    Afficher les messages de log sur la sortie standard plutôt que de les écrire dans le fichier de log (fonctionne seulement avec la commande weechat-headless, non compatible avec l’option "--daemon").

-d, --dir <répertoire>
    Forcer un unique répertoire pour tous les fichiers WeeChat (le répertoire est créé s’il n’est pas trouvé). Quatre répertoires peuvent être donnés, séparés par ":" (dans cet ordre : config, data, cache, runtime). Si cette option n’est pas donnée, la variable d’environnement WEECHAT_HOME est utilisée (si non vide).

-t, --temp-dir
    Créer un répertoire de base WeeChat temporaire et le supprimer en quittant (incompatible avec l’option "-d").
    Le nom du répertoire est automatiquement construit par WeeChat, avec ce modèle : "weechat_temp_XXXXXX" (où "XXXXXX" est aléatoire). Il est créé dans le premier répertoire disponible de cette liste : variable d’environnement "TMPDIR", "/tmp" (cela peut être différent selon le système d’exploitation), variable d’environnement "HOME", répertoire courant.
    Le répertoire de base temporaire a les permissions 0700 (seul le propriétaire peut lire, écrire et exécuter).

-h, --help
    Afficher l’aide.

-i, --build-info
    Afficher les informations de construction et quitter.

-l, --license
    Afficher la licence de WeeChat.

-p, --no-plugin
    Supprimer le chargement automatique des extensions au démarrage.

-P, --plugins <extensions>
    Charger uniquement ces extensions au démarrage (voir /help weechat.plugin.autoload). Si cette option est donnée, l’option weechat.plugin.autoload n’est pas utilisée.

-r, --run-command <commande>
    Lancer la/les commande(s) après le démarrage ; plusieurs commandes peuvent être séparées par des points-virgules, cette option peut être donnée plusieurs fois.

-s, --no-script
    Supprimer le chargement automatique des scripts au démarrage.

--upgrade
    Mettre à jour WeeChat en utilisant les fichiers de session générés avec la commande /upgrade -quit.

-v, --version
    Afficher la version de WeeChat.

extension:option
    Option pour une extension.

OPTIONS DE DEBUG

ATTENTION : ces options sont pour du debug seulement, NE PAS UTILISER EN PRODUCTION !

--no-dlclose
    Do not call the function dlclose after plugins are unloaded. This is useful with tools like Valgrind to display stack for unloaded plugins.

--no-gnutls
    Do not call the init and deinit functions of GnuTLS library. This is useful with tools like Valgrind and electric-fence, to prevent GnuTLS memory errors.

--no-gcrypt
    Do not call the init and deinit functions of Gcrypt library. This is useful with tools like Valgrind, to prevent Gcrypt memory errors.

OPTIONS D’EXTENSION

Pour une documentation complète sur les options des extensions, merci de consulter la documentation des extensions dans le

Avec l’extension irc, vous pouvez vous connecter à un serveur de manière temporaire avec une URL, comme ceci :

    irc[6][s]://[[pseudo][:motdepasse]@]serveur[:port][/#canal1[,#canal2...]]

Pour rejoindre le canal IRC de support WeeChat avec le pseudo "monpseudo" :

    irc://monpseudo@irc.libera.chat/#weechat

Les adresses IPv6 peuvent être entourées par des crochets pour ajouter un port après, par exemple :

    irc://monpseudo@[2001:db8:0:85a3::ac1f:8001]:6668/#test

FICHIERS

$HOME/.config/weechat/weechat.conf
    fichier de configuration principal de WeeChat

$HOME/.config/weechat/plugins.conf
    fichier de configuration des extensions

$HOME/.config/weechat/sec.conf
    fichier de configuration avec les données sécurisées

$HOME/.config/weechat/alias.conf
    fichier de configuration pour l’extension alias

$HOME/.config/weechat/buflist.conf
    fichier de configuration pour l’extension buflist

$HOME/.config/weechat/charset.conf
    fichier de configuration pour l’extension charset

$HOME/.config/weechat/exec.conf
    fichier de configuration pour l’extension exec

$HOME/.config/weechat/fifo.conf
    fichier de configuration pour l’extension fifo

$HOME/.config/weechat/fset.conf
    fichier de configuration pour l’extension fset

$HOME/.config/weechat/guile.conf
    fichier de configuration pour l’extension guile

$HOME/.config/weechat/irc.conf
    fichier de configuration pour l’extension irc

$HOME/.config/weechat/javascript.conf
    fichier de configuration pour l’extension javascript

$HOME/.config/weechat/logger.conf
    fichier de configuration pour l’extension logger

$HOME/.config/weechat/lua.conf
    fichier de configuration pour l’extension lua

$HOME/.config/weechat/perl.conf
    fichier de configuration pour l’extension perl

$HOME/.config/weechat/php.conf
    fichier de configuration pour l’extension php

$HOME/.config/weechat/python.conf
    fichier de configuration pour l’extension python

$HOME/.config/weechat/relay.conf
    fichier de configuration pour l’extension relay

$HOME/.config/weechat/ruby.conf
    fichier de configuration pour l’extension ruby

$HOME/.config/weechat/script.conf
    fichier de configuration pour l’extension script

$HOME/.config/weechat/spell.conf
    fichier de configuration pour l’extension spell

$HOME/.config/weechat/tcl.conf
    fichier de configuration pour l’extension tcl

$HOME/.config/weechat/trigger.conf
    fichier de configuration pour l’extension trigger

$HOME/.config/weechat/typing.conf
    fichier de configuration pour l’extension typing

$HOME/.config/weechat/xfer.conf
    fichier de configuration pour l’extension xfer

$HOME/.local/share/weechat/weechat.log
    fichier de log de WeeChat

VOIR AUSSI

weechat(1)

AUTEURS

Cette page de manuel a été écrite par Sébastien Helleu.

COPYRIGHT

WeeChat est écrit par Sébastien Helleu et des contributeurs (la liste complète est dans le fichier AUTHORS.md).

Copyright © 2003-2025 Sébastien Helleu

WeeChat est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier sous les termes de la GNU General Public License telle que publiée par la Free Software Foundation ; soit la version 3 de la licence, ou (selon votre choix) toute version ultérieure.

Merci de consulter le fichier COPYING pour plus d’informations.

Site web :

SUPPORT / SIGNALER DES BUGS

Pour de l’aide ou signaler un bug :

AUTHOR

Sébastien Helleu